TasksDelete a task

Delete a task

Needs: Tasks, Read-write

Deletes a task, or for a repeating task it and the following tasks in its series. Confirm before calling this.

Important: A task that has been billed, a task with notes and a task with documents cannot be deleted. Delete the notes first. Remove documents in the task drawer.

Note: For a repeating task, the response can also include deleted_count and skipped_billed (billed tasks in the series are skipped). A repeating task needs scope, or the request returns 422.

curl -X DELETE "https://app.imploy.com.au/api/integrations/v1/tasks/123" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "scope": "this"
}'
{
  "deleted": 90
}
DELETE
/tasks/{id}
DELETE
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Content-Typestring
Required

The media type of the request body

Options: application/json
scopestring

Repeating tasks only: this or this_and_following.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The task id.

Body

application/json
scopestring

Repeating tasks only: this or this_and_following.

Responses

OK